name: autobrr
services:
  autobrr:
    container_name: autobrr
    image: ghcr.io/autobrr/autobrr:v1.69.0
    network_mode: bridge
    restart: unless-stopped
    environment:
      TZ: $TZ
    ports:
      - target: 7474
        published: "7474"
        protocol: tcp
    volumes:
      - type: bind
        source: /DATA/AppData/$AppID/config
        target: /config
    x-casaos:
      envs:
        - container: TZ
          description:
            en_us: TimeZone
            zh_cn: 时区
      ports:
        - container: "7474"
          description:
            en_us: WebUI HTTP Port
            zh_cn: WebUI HTTP端口
      volumes:
        - container: /config
          description:
            en_us: Autobrr config directory
            zh_cn: Autobrr配置目录
x-casaos:
  main: autobrr
  architectures:
    - amd64
    - arm
    - arm64
  port_map: "7474"
  title:
    en_us: Autobrr
  author: Autobrr Team
  developer: Autobrr Team
  category: Media
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Autobrr/icon.png
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Autobrr/thumbnail.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/Autobrr/screenshot-1.png
  description:
    en_us: Autobrr is the modern download automation tool for torrents and usenet. With inspiration and ideas from tools like trackarr, autodl-irssi and flexget we built one tool that can do it all, and then some.
    zh_cn: Autobrr是用于torrents和Usenet的现代下载自动化工具。受到trackarr、autodl-irssi和flexget等工具的启发和理念，我们构建了一个可以完成所有这些任务的工具，甚至更多。
  tagline:
    en_us: Modern, easy to use download automation for torrents and usenet.
    zh_cn: 现代、易于使用的Torrents和Usenet下载自动化工具。
